#!/bin/bash

AWK=`which awk`
GREP=`which grep`
CAT=`which cat`
PHING=`which phing`
MYSQLBIN=`which mysql`

if [ "$PHING" == "" ];
then
    echo "Please install phing. SQL update aborted "
    exit
fi

BUILDPROP="./sqlupd/deploy/build.properties"
MBCONF="../../app/etc/config.xml"
if [ -f "/var/mikbill/prod/config/admin.xml" ]; then
  MBCONF="/var/mikbill/prod/config/admin.xml"
fi

xml_config=$(cat $MBCONF)

HOST=$(grep -oPm1 "(?<=<host>)[^<]+" <<< "$xml_config")
USERNAME=$(grep -oPm1 "(?<=<username>)[^<]+" <<< "$xml_config")
PASSWORD=$(grep -oPm1 "(?<=<password>)[^<]+" <<< "$xml_config")
DBNAME=$(grep -oPm1 "(?<=<dbname>)[^<]+" <<< "$xml_config")

if [ "$HOST" == "" ];
then
 HOST="localhost"
fi

echo "" > $BUILDPROP
echo "build.dir=../" >> $BUILDPROP
echo "" >> $BUILDPROP
echo "db.host=$HOST" >> $BUILDPROP
echo "db.user=$USERNAME" >> $BUILDPROP
echo "db.pass=$PASSWORD" >> $BUILDPROP
echo "db.name=$DBNAME" >> $BUILDPROP
echo "" >> $BUILDPROP
echo "progs.mysql=$MYSQLBIN"  >> $BUILDPROP
echo "" >> $BUILDPROP

cd ./sqlupd/deploy

$PHING

cd ../..
echo "" > $BUILDPROP
