--
-- Отключение внешних ключей
--
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

SET NAMES 'utf8';

SET sql_mode='';

-- Справочник складов --
CREATE TABLE `warehouse_warehouses` (
    `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
    `usersgroupid` INT(10) UNSIGNED NOT NULL DEFAULT '0',
    `name` VARCHAR(255) NOT NULL COLLATE 'utf8mb4_general_ci',
    `info` TEXT NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
    `description` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
    `comments` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
    `created_at` INT(10) UNSIGNED NULL DEFAULT NULL,
    `updated_at` INT(10) UNSIGNED NULL DEFAULT NULL,
    `deleted_at` INT(10) UNSIGNED NULL DEFAULT NULL,
    PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci' COMMENT='Таблица складов';

-- Склад по умолчанию --
INSERT INTO `warehouse_warehouses` (`id`, `name`) VALUES (1, 'Default warehouse');

-- Права для справочника --
INSERT INTO `stuff_aclresource` (`resourceid`, `resource`) VALUES (21, 'WarehouseWarehouses');


-- Справочник поставщиков --
CREATE TABLE `warehouse_suppliers` (
   `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
   `usersgroupid` INT(10) UNSIGNED NULL DEFAULT '0',
   `name` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `info` TEXT NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `phones` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `address` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `post_address` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `comment` TEXT NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `disabled` TINYINT(3) UNSIGNED NULL DEFAULT '0',
   `created_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   `updated_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   `deleted_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci' COMMENT='справочник поставщиков склада';

-- Поставщик по умолчанию --
INSERT INTO `warehouse_suppliers` (`id`, `name`) VALUES (1, 'Default supplier');

-- Права для справочника --
INSERT INTO `stuff_aclresource` (`resourceid`, `resource`) VALUES (22, 'WarehouseSuppliers');


-- Справочник вещей на складе --
CREATE TABLE `warehouse_items` (
   `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
   `warehouse_id` INT(10) UNSIGNED NULL DEFAULT '0',
   `supplier_id` INT(10) UNSIGNED NULL DEFAULT '0',
   `stuff_id` INT(10) UNSIGNED NULL DEFAULT '0',
   `entity_type_id` INT(10) UNSIGNED NULL DEFAULT '0',
   `entity_status_id` INT(10) UNSIGNED NULL DEFAULT '0',
   `entity_name` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `entity_purchase_price` DOUBLE(20,6) NOT NULL DEFAULT '0.000000',
   `entity_sell_price` DOUBLE(20,6) NOT NULL DEFAULT '0.000000',
   `entity_rent_price` DOUBLE(20,6) NOT NULL DEFAULT '0.000000',
   `entity_serial` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `entity_mac` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `entity_description` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `entity_extra_proper` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `created_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   `updated_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   `deleted_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci' COMMENT='Таблица вещей на складе';

-- Права для справочника --
INSERT INTO `stuff_aclresource` (`resourceid`, `resource`) VALUES (23, 'WarehouseItems');


-- Справочник типа вещей склада --
CREATE TABLE `warehouse_entity_types` (
  `id` INT(12) UNSIGNED NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
  `usersgroupid` INT(10) UNSIGNED NULL DEFAULT '0',
  `created_at` INT(10) UNSIGNED NULL DEFAULT NULL,
  `updated_at` INT(10) UNSIGNED NULL DEFAULT NULL,
  `deleted_at` INT(10) UNSIGNED NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci' AUTO_INCREMENT=100 COMMENT='Таблица типов вещей на складе';

-- Тип вещей по умолчанию --
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (1, 'Switch');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (2, 'OLT');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (3, 'ONU');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (4, 'Router');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (5, 'Кабель');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (6, 'Муфта');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (7, 'Бокс');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (8, 'Сплиттер');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (9, 'Шкаф');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (10, 'Касета');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (11, 'Опора');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (12, 'Расходники');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (13, 'Panel');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (14, 'Camera');
INSERT INTO `warehouse_entity_types` (`id`, `name`) VALUES (15, 'Modem');

-- Права для справочника --
INSERT INTO `stuff_aclresource` (`resourceid`, `resource`) VALUES (24, 'WarehouseEntityTypes');


-- Справочник статуса вещей склада --
CREATE TABLE `warehouse_entity_status` (
   `id` INT(12) UNSIGNED NOT NULL AUTO_INCREMENT,
   `name` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
   `usersgroupid` INT(10) UNSIGNED NULL DEFAULT '0',
   `created_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   `updated_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   `deleted_at` INT(10) UNSIGNED NULL DEFAULT NULL,
   PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci' AUTO_INCREMENT=100 COMMENT='Таблица статусов вещей склада';

-- Статусы вещей по умолчанию --
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (1, 'На складе');
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (2, 'Продан');
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (3, 'В аренде');
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (4, 'В рассрочке');
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (5, 'В продаже');
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (6, 'В ремонте');
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (7, 'Списан');
INSERT INTO `warehouse_entity_status` (`id`, `name`) VALUES (8, 'Выдан сотруднику');

-- Права для справочника --
INSERT INTO `stuff_aclresource` (`resourceid`, `resource`) VALUES (25, 'WarehouseEntityStatus');


-- Новая таблица логов --
CREATE TABLE `stuff_logs` (
  `id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `usersgroupid` INT(10) UNSIGNED NULL DEFAULT '0',
  `stuff_id` INT(10) UNSIGNED NULL DEFAULT NULL,
  `uid` INT(10) UNSIGNED NULL DEFAULT NULL,
  `timestamp` INT(10) UNSIGNED NULL DEFAULT NULL,
  `model` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
  `object_id` INT(10) UNSIGNED NULL DEFAULT NULL,
  `attribute_name` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
  `before` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
  `after` VARCHAR(255) NULL DEFAULT NULL COLLATE 'utf8mb4_general_ci',
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `stuff_id` (`stuff_id`) USING BTREE,
  INDEX `uid` (`uid`) USING BTREE
) ENGINE=InnoDB COLLATE='utf8mb4_general_ci' COMMENT='Таблица логов действий персонала';

/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;